/*
**
** Headers for Steve Reid's Public Domain SHA1 implementation
**
** $Id: sha1.h,v 1.1.1.1 1999/08/15 14:04:56 dmiller Exp $
*/

#ifndef _SHA1_H
#define _SHA1_H

#define SHA1_HASH_LEN	20

typedef struct {
    unsigned long state[5];
    unsigned long count[2];
    unsigned char buffer[64];
} SHA1_CTX;

typedef SHA1_CTX SHA_CTX;

void SHA1_Init(SHA1_CTX* context);
void SHA1_Update(SHA1_CTX* context, unsigned char* data, unsigned int len);
void SHA1_Final(unsigned char digest[20], SHA1_CTX* context);

#endif /* _SHA1_H */
